Subject: Re: info on shiitake
From: [email-masked] (Menachem Galatz DC)
Date: Wed, 11 May 94 22:40:18 GMT
Newsgroups: bionet.mycology

Are there any mail order companies that sell mushroom growing kits?

In Article <[email-masked]>, [email-masked] (Otto Lang) wrote:
>Is there any treatise on the nutritional and tonic values of shiitake.One of
>our members has an urgent need for this information. Thank you.
>-- 
>Otto Lang, Mycological Society of Toronto <[email-masked]> Fidonet 1:250/228
>